#include <stdio.h>
#include <string.h>
#include <stdlib.h>
#include <stdint.h>

char* substring(char *string, uint8_t start, uint8_t end);
int next_occurrence(char *string, char character);
int num_occurrences(char *string, char character);
int last_occurrence(char *string, char character);
char** comma_separate(char *input);
int str2int(char *string);

void error();
void free_mem(char **inputs, int num_inputs);

void normalize(char **inputs, int num_inputs);
int bin2dec(char *bin);
int bin2udec(char *bin);
char* dec2bin(int dec, int length);
void expand_input(char **input, int required_length);
void reverse_two_complement(char *bin);
int count_bits(char *input);